# you can delete this line if you're not using Docker
# image: busybox:latest

pages:
  script:
  - mkdir -p docs
  - cd docs
#  - apt install doxygen texlive-base texlive-latex-extra texlive-fonts-extra texlive-fonts-recommended python3-pip
  - git clone git://github.com/mosra/m.css
#  - pip3 install jinja2 Pygments
  - ./m.css/documentation/doxygen.py ./Doxyfile-mcss
  - cd ./latex
  - make
  - cp refman.pdf ../html/ScStwSharedLibraries.pdf
  - cd ../
  - mv ./html/ ../public/
  artifacts:
    paths:
    - public
  only:
  - master
